- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
qi::EventTrace Class Reference

`#include <manageable.hpp>`

## Public Types
enum | EventKind { Event_Call = 1, Event_Result = 2, Event_Error = 3, Event_Signal = 4 }

## Public Member Functions
| EventTrace ()
| EventTrace (unsigned int id, EventKind kind, unsigned int slotId, const AnyValue &arguments, const qi::os::timeval timestamp, qi::int64_t userUsTime=0, qi::int64_t systemUsTime=0, unsigned int callerContext=0, unsigned int calleeContext=0, qi::os::timeval postTimestamp=qi::os::timeval())
const unsigned int & | id () const
const EventKind & | kind () const
const unsigned int & | slotId () const
const AnyValue & | arguments () const
const qi::os::timeval & | timestamp () const
const qi::os::timeval & | postTimestamp () const
const qi::int64_t & | userUsTime () const
const qi::int64_t & | systemUsTime () const
const unsigned int & | callerContext () const
const unsigned int & | calleeContext () const

## Detailed Description

Definition at line 44 of file manageable.hpp.

## Member Enumeration Documentation

enum qi::EventTrace::EventKind

Enumerator
Event_Call |
Event_Result |
Event_Error |
Event_Signal |

Definition at line 47 of file manageable.hpp.

## Constructor & Destructor Documentation

qi::EventTrace::EventTrace | ( |  | ) |
| inline

Definition at line 54 of file manageable.hpp.

qi::EventTrace::EventTrace | ( | unsigned int | id,
|  | EventKind | kind,
|  | unsigned int | slotId,
|  | const AnyValue & | arguments,
|  | const qi::os::timeval | timestamp,
|  | qi::int64_t | userUsTime = `0`,
|  | qi::int64_t | systemUsTime = `0`,
|  | unsigned int | callerContext = `0`,
|  | unsigned int | calleeContext = `0`,
|  | qi::os::timeval | postTimestamp = `qi::os::timeval()`
| ) |  |
| inline

Definition at line 55 of file manageable.hpp.

## Member Function Documentation

const AnyValue& qi::EventTrace::arguments | ( |  | ) | const
| inline

Definition at line 71 of file manageable.hpp.

const unsigned int& qi::EventTrace::calleeContext | ( |  | ) | const
| inline

Definition at line 77 of file manageable.hpp.

const unsigned int& qi::EventTrace::callerContext | ( |  | ) | const
| inline

Definition at line 76 of file manageable.hpp.

const unsigned int& qi::EventTrace::id | ( |  | ) | const
| inline

Definition at line 66 of file manageable.hpp.

const EventKind& qi::EventTrace::kind | ( |  | ) | const
| inline

Definition at line 67 of file manageable.hpp.

const qi::os::timeval& qi::EventTrace::postTimestamp | ( |  | ) | const
| inline

Definition at line 73 of file manageable.hpp.

const unsigned int& qi::EventTrace::slotId | ( |  | ) | const
| inline

Definition at line 69 of file manageable.hpp.

const qi::int64_t& qi::EventTrace::systemUsTime | ( |  | ) | const
| inline

Definition at line 75 of file manageable.hpp.

const qi::os::timeval& qi::EventTrace::timestamp | ( |  | ) | const
| inline

Definition at line 72 of file manageable.hpp.

const qi::int64_t& qi::EventTrace::userUsTime | ( |  | ) | const
| inline

Definition at line 74 of file manageable.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/detail/manageable.hpp